Change the default Keystone API version to 3

Registered by David Lyle on 2015-02-23

Change the default API version to 3 for keystone.

Blueprint information

Status:
Complete
Approver:
David Lyle
Priority:
Low
Drafter:
David Lyle
Direction:
Approved
Assignee:
David Lyle
Definition:
Approved
Series goal:
Accepted for 13.0.0-queens
Implementation:
Implemented
Milestone target:
milestone icon queens-3
Started by
David Lyle on 2015-02-23
Completed by
David Lyle on 2018-01-10

Related branches

Sprints

Whiteboard

Gerrit topic: https://review.openstack.org/#q,topic:bp/default-keystone-api-3,n,z

Addressed by: https://review.openstack.org/158384
    Updating default keystone API verson to 3

Dec 15, 2017 (amotoki) -- Moved from django-openstack-auth

I believe we are ready to go. Our document already suggests to use the cache as our session engine, so we don't hit keystone catalog size problem which we had for the signed cookie session engine.

Addressed by: https://review.openstack.org/529393
    Updating default keystone API verson to 3

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.